package com.xhpc.activity.mapper;


import com.xhpc.activity.domain.XhpcActivityImgDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface XhpcActivityImgMapper {

    List<XhpcActivityImgDomain> selectListByActivityId(@Param("activityId") Integer activityId, @Param("activityType") String activityType);

    int deleteLogicByActivityId(@Param("activityId") Integer activityId, @Param("activityType") String activityType);

    int deleteLogicByPrimaryKey(Long activity_img_id);

    int deleteByPrimaryKey(Long activity_img_id);

    int insert(XhpcActivityImgDomain record);

    XhpcActivityImgDomain selectByPrimaryKey(Long activity_img_id);

    int updateByPrimaryKey(XhpcActivityImgDomain record);
}